> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Autocomplete ASOS searches

> Autocomplete ASOS searches.

Autocomplete ASOS searches.

**Credits:** 3 per successful request. Failed requests and empty result sets are not charged.

## Authentication

**X-API-Key** `string` *required*

Your ScrapeBadger API key.

## Parameters

**query** `string` *required*

Query. Minimum length: 1. Maximum length: 200.

**market** `string` (default: uk)

Market.

**store** `string`

Store.

**country** `string`

Country.

**currency** `string`

Currency.

**language** `string`

Language.

## Response

```json theme={null}
{
  "market": "uk",
  "suggestionGroups": [
    {
      "indexName": "searchterms",
      "indexTitle": "searchterms",
      "suggestions": [
        {
          "searchTerm": "shorts",
          "numberOfResults": 8925
        }
      ]
    }
  ],
  "suggestions": [
    {
      "searchTerm": "shorts",
      "numberOfResults": 8925
    }
  ]
}
```

## Example

```bash theme={null}
curl --get 'https://scrapebadger.com/v1/asos/autocomplete' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --data-urlencode 'query=sho'
```

[Browse all ASOS endpoints](https://docs.scrapebadger.com/asos/overview.md).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.